package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.source.entity.SourceEntity;
import com.ycwl.basic.model.pc.source.req.SourceReqQuery;
import com.ycwl.basic.model.pc.source.resp.SourceRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 11:21
 * 视频源
 */
@Mapper
public interface SourceMapper {
    List<SourceRespVO> list(SourceReqQuery sourceReqQuery);

    SourceRespVO getById(Long id);

    List<SourceEntity> listBySampleIds(List<Long> sourceIds);

    int add(SourceEntity source);

    int deleteById(Long id);

    int update(SourceEntity source);

    /**
     * @param sourceReqQuery
     * @return
     */
    List<SourceRespVO> listGroupByType(SourceReqQuery sourceReqQuery);

    /**
     * 用户素材数量
     *
     * @param userId
     * @return
     */
    int countByMemberId(String userId);

    List<SourceEntity> listVideoBySampleIds(List<Long> sampleId);

    SourceEntity findBySampleId(Long faceSampleId);
}
